export declare const version = "2.4.21";
import * as G2 from '@antv/g2';
export { G2 };
import { registerLocale } from './core/locale';
/** 透出 国际化 工具函数，便于使用 */
export { registerLocale };
/** 全局变量 */
export { setGlobal } from './core/global';
/** G2Plot 的 Plot 基类 */
export { Plot } from './core/plot';
/** Adaptor 及其参数的类型定义 */
export type { Adaptor, Params } from './core/adaptor';
export * from './types';
export { Line } from './plots/line';
export type { LineOptions } from './plots/line';
export { Area } from './plots/area';
export type { AreaOptions } from './plots/area';
export { Column } from './plots/column';
export type { ColumnOptions } from './plots/column';
export { Bar } from './plots/bar';
export type { BarOptions } from './plots/bar';
export { Pie } from './plots/pie';
export type { PieOptions } from './plots/pie';
export { WordCloud } from './plots/word-cloud';
export type { WordCloudOptions } from './plots/word-cloud';
export { Scatter } from './plots/scatter';
export type { ScatterOptions } from './plots/scatter';
export { Radar } from './plots/radar';
export type { RadarOptions } from './plots/radar';
export { Progress } from './plots/progress';
export type { ProgressOptions } from './plots/progress';
export { Stock } from './plots/stock';
export type { StockOptions } from './plots/stock';
export { Funnel, FUNNEL_CONVERSATION_FIELD } from './plots/funnel';
export type { FunnelOptions } from './plots/funnel';
export { Bullet } from './plots/bullet';
export type { BulletOptions } from './plots/bullet';
export { Gauge } from './plots/gauge';
export type { GaugeOptions } from './plots/gauge';
export { RadialBar } from './plots/radial-bar';
export type { RadialBarOptions } from './plots/radial-bar';
/** 所有开放图表都使用 G2Plot.P 作为入口开发，理论上官方的所有图表都可以走 G2Plot.P 的入口（暂时不处理） */
export { P } from './plugin';
/** 开放 getCanvasPatterng 方法 */
export { getCanvasPattern } from './utils/pattern';
/** 开发 adaptor 可能会用到的方法或一些工具方法，不强制使用 */
export { flow, measureTextWidth } from './utils';
/** 各个 geometry 的 adaptor，可以让开发者更快的构造图形 */
export { line, interval, area, point, polygon, schema } from './adaptor/geometries';
export type { LineGeometryOptions, IntervalGeometryOptions, AreaGeometryOptions, PointGeometryOptions, PolygonGeometryOptions, SchemaGeometryOptions, } from './adaptor/geometries';
/** 开放一些通用的 adaptor 通道方法，实验阶段：不保证稳定性 */
import { scale, legend, tooltip, annotation, interaction, theme, animation } from './adaptor/common';
export declare const adaptors: {
    scale: typeof scale;
    legend: typeof legend;
    tooltip: typeof tooltip;
    annotation: typeof annotation;
    interaction: typeof interaction;
    theme: typeof theme;
    animation: typeof animation;
};
